Debian Bug report logs - #696038
ITP: compat-wireless-3.5.4 -- backported linux wireless drivers

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jayen Ashar <j.ashar@marathon-targets.com>

Date: Sun, 16 Dec 2012 05:15:02 UTC

Owned by: Jayen Ashar <j.ashar@marathon-targets.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696038; Package wnpp. (Sun, 16 Dec 2012 05:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jayen Ashar <j.ashar@marathon-targets.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 05:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jayen Ashar <j.ashar@marathon-targets.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Sun, 16 Dec 2012 15:10:29 +1100
Package: wnpp
Severity: wishlist
Owner: Jayen Ashar <j.ashar@marathon-targets.com>

* Package name    : compat-wireless-3.5.4
  Version         : 1-snp
  Upstream Author : Linux Wireless team <linux-wireless@vger.kernel.org>
* URL             : http://linuxwireless.org/
* License         : This work is a subset of the Linux kernel as such we keep the kernel's Copyright practice. Some files have their own copyright and in those cases the license is mentioned in the file. All additional work made to building this package is licensed under the GPLv2. 
  Programming Lang: C
  Description     : backported linux wireless drivers

These packages contain the source code of the wireless drivers from a newer
linux kernel.  These drivers have been backported to be compatible with
every kernel >= 2.6.26.  These packages allow building of binary packages
through the use of module-assistant.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>:
Bug#696038; Package wnpp. (Sun, 16 Dec 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>. (Sun, 16 Dec 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 696038@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jayen Ashar <j.ashar@marathon-targets.com>, 696038@bugs.debian.org
Cc: Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Sun, 16 Dec 2012 12:32:20 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2012-12-16 at 15:10 +1100, Jayen Ashar wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Jayen Ashar <j.ashar@marathon-targets.com>
> 
> * Package name    : compat-wireless-3.5.4
>   Version         : 1-snp

This has been replaced by compat-drivers
<https://backports.wiki.kernel.org/>.

>   Upstream Author : Linux Wireless team <linux-wireless@vger.kernel.org>
> * URL             : http://linuxwireless.org/
> * License         : This work is a subset of the Linux kernel as such we keep the kernel's Copyright practice. Some files have their own copyright and in those cases the license is mentioned in the file. All additional work made to building this package is licensed under the GPLv2. 
>   Programming Lang: C
>   Description     : backported linux wireless drivers
> 
> These packages contain the source code of the wireless drivers from a newer
> linux kernel.  These drivers have been backported to be compatible with
> every kernel >= 2.6.26.  These packages allow building of binary packages
> through the use of module-assistant.

Please discuss this with the kernel team.

Ben.

-- 
Ben Hutchings
Always try to do things in chronological order;
it's less confusing that way.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696038; Package wnpp. (Mon, 17 Dec 2012 00:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jayen Ashar <j.ashar@marathon-targets.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Dec 2012 00:18:06 GMT) Full text and rfc822 format available.

Message #15 received at 696038@bugs.debian.org (full text, mbox):

From: Jayen Ashar <j.ashar@marathon-targets.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 696038@bugs.debian.org, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Mon, 17 Dec 2012 11:14:31 +1100
Hi kernel team,

I intend to package the stable versions of compat-wireless and
compat-drivers (when available) as module-assistant packages, starting
with compat-wireless 3.5.4.  The reason I am using module-assistant
(instead of dkms) is so that embedded users of debian can compile &
distribute kernel module packages without needing a compiler on the
embedded device.  I am starting with 3.5.4 because I have already
packaged it for my company and have tested it internally with the
squeeze kernel.

Thanks,
Jayen

On Sun, Dec 16, 2012 at 11:32 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Sun, 2012-12-16 at 15:10 +1100, Jayen Ashar wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Jayen Ashar <j.ashar@marathon-targets.com>
>>
>> * Package name    : compat-wireless-3.5.4
>>   Version         : 1-snp
>
> This has been replaced by compat-drivers
> <https://backports.wiki.kernel.org/>.
>
>>   Upstream Author : Linux Wireless team <linux-wireless@vger.kernel.org>
>> * URL             : http://linuxwireless.org/
>> * License         : This work is a subset of the Linux kernel as such we keep the kernel's Copyright practice. Some files have their own copyright and in those cases the license is mentioned in the file. All additional work made to building this package is licensed under the GPLv2.
>>   Programming Lang: C
>>   Description     : backported linux wireless drivers
>>
>> These packages contain the source code of the wireless drivers from a newer
>> linux kernel.  These drivers have been backported to be compatible with
>> every kernel >= 2.6.26.  These packages allow building of binary packages
>> through the use of module-assistant.
>
> Please discuss this with the kernel team.
>
> Ben.
>
> --
> Ben Hutchings
> Always try to do things in chronological order;
> it's less confusing that way.



-- 

Marathon Targets Pty Ltd
Sydney, Australia
http://www.marathon-targets.com/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>:
Bug#696038; Package wnpp. (Mon, 17 Dec 2012 01:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>. (Mon, 17 Dec 2012 01:12:04 GMT) Full text and rfc822 format available.

Message #20 received at 696038@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jayen Ashar <j.ashar@marathon-targets.com>
Cc: 696038@bugs.debian.org, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Mon, 17 Dec 2012 01:07:52 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2012-12-17 at 11:14 +1100, Jayen Ashar wrote:
> Hi kernel team,
> 
> I intend to package the stable versions of compat-wireless and
> compat-drivers (when available) as module-assistant packages, starting
> with compat-wireless 3.5.4.  The reason I am using module-assistant
> (instead of dkms) is so that embedded users of debian can compile &
> distribute kernel module packages without needing a compiler on the
> embedded device.

This is not a reason to avoid DKMS, as you can use 'dkms mkdeb' to build
a package for installation elsewhere.

> I am starting with 3.5.4 because I have already
> packaged it for my company and have tested it internally with the
> squeeze kernel.

Since wheezy is now frozen, this cannot be added to wheezy and therefore
cannot be added to squeeze-backports either.  So this will not be a very
effective way to help other squeeze users.

The official kernel package (linux-2.6/linux source package) does get
stable updates to extend hardware support, but not as many as I would
like.  I would really like to see compat-drivers integrated into the
linux source package so users don't need to look for extra package or a
special installer.  But we will need to ensure that there is adequate
regression testing whenever we update compat-drivers in stable.

Would you be interesting in working on this?  It would help many more
users than a separate package.

Ben.

-- 
Ben Hutchings
Life is like a sewer:
what you get out of it depends on what you put into it.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696038; Package wnpp. (Mon, 17 Dec 2012 01:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jayen Ashar <j.ashar@marathon-targets.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Dec 2012 01:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 696038@bugs.debian.org (full text, mbox):

From: Jayen Ashar <j.ashar@marathon-targets.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 696038 <696038@bugs.debian.org>, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Mon, 17 Dec 2012 12:41:49 +1100
On Mon, Dec 17, 2012 at 12:07 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Mon, 2012-12-17 at 11:14 +1100, Jayen Ashar wrote:
>> Hi kernel team,
>>
>> I intend to package the stable versions of compat-wireless and
>> compat-drivers (when available) as module-assistant packages, starting
>> with compat-wireless 3.5.4.  The reason I am using module-assistant
>> (instead of dkms) is so that embedded users of debian can compile &
>> distribute kernel module packages without needing a compiler on the
>> embedded device.
>
> This is not a reason to avoid DKMS, as you can use 'dkms mkdeb' to build
> a package for installation elsewhere.

didn't know about mkdeb.  will start looking at dkms (at least for our
internal use).  thanks.

>> I am starting with 3.5.4 because I have already
>> packaged it for my company and have tested it internally with the
>> squeeze kernel.
>
> Since wheezy is now frozen, this cannot be added to wheezy and therefore
> cannot be added to squeeze-backports either.  So this will not be a very
> effective way to help other squeeze users.

Could it be added to wheezy-backports?

> The official kernel package (linux-2.6/linux source package) does get
> stable updates to extend hardware support, but not as many as I would
> like.  I would really like to see compat-drivers integrated into the
> linux source package so users don't need to look for extra package or a
> special installer.  But we will need to ensure that there is adequate
> regression testing whenever we update compat-drivers in stable.
>
> Would you be interesting in working on this?  It would help many more
> users than a separate package.

Are you asking for work on adding it to linux-source, or doing some
testing?  I'm not sure I could provide adequate testing on any version
other than the one's my company is running.

Thanks,
Jayen

--

Marathon Targets Pty Ltd
Sydney, Australia
http://www.marathon-targets.com/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>:
Bug#696038; Package wnpp. (Fri, 21 Dec 2012 13:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>. (Fri, 21 Dec 2012 13:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 696038@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jayen Ashar <j.ashar@marathon-targets.com>
Cc: 696038 <696038@bugs.debian.org>, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Fri, 21 Dec 2012 13:18:40 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2012-12-17 at 12:41 +1100, Jayen Ashar wrote:
> On Mon, Dec 17, 2012 at 12:07 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Mon, 2012-12-17 at 11:14 +1100, Jayen Ashar wrote:
> >> Hi kernel team,
> >>
> >> I intend to package the stable versions of compat-wireless and
> >> compat-drivers (when available) as module-assistant packages, starting
> >> with compat-wireless 3.5.4.  The reason I am using module-assistant
> >> (instead of dkms) is so that embedded users of debian can compile &
> >> distribute kernel module packages without needing a compiler on the
> >> embedded device.
> >
> > This is not a reason to avoid DKMS, as you can use 'dkms mkdeb' to build
> > a package for installation elsewhere.
> 
> didn't know about mkdeb.  will start looking at dkms (at least for our
> internal use).  thanks.
> 
> >> I am starting with 3.5.4 because I have already
> >> packaged it for my company and have tested it internally with the
> >> squeeze kernel.
> >
> > Since wheezy is now frozen, this cannot be added to wheezy and therefore
> > cannot be added to squeeze-backports either.  So this will not be a very
> > effective way to help other squeeze users.
> 
> Could it be added to wheezy-backports?

Yes, once it's in testing for jessie.

> > The official kernel package (linux-2.6/linux source package) does get
> > stable updates to extend hardware support, but not as many as I would
> > like.  I would really like to see compat-drivers integrated into the
> > linux source package so users don't need to look for extra package or a
> > special installer.  But we will need to ensure that there is adequate
> > regression testing whenever we update compat-drivers in stable.
> >
> > Would you be interesting in working on this?  It would help many more
> > users than a separate package.
> 
> Are you asking for work on adding it to linux-source, or doing some
> testing?  I'm not sure I could provide adequate testing on any version
> other than the one's my company is running.

I'm requesting that you work on adding it to the linux source package
and do what testing you can.  In any case we'll have to ask users for
beta testing.

Before you do that work, though, it would need to be agreed among the
kernel and release teams that we should update drivers in this way.  But
I hope that's not too controversial.

Ben.

-- 
Ben Hutchings
Make three consecutive correct guesses and you will be considered an expert.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696038; Package wnpp. (Sat, 22 Dec 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jayen Ashar <j.ashar@marathon-targets.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Dec 2012 09:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 696038@bugs.debian.org (full text, mbox):

From: Jayen Ashar <j.ashar@marathon-targets.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 696038 <696038@bugs.debian.org>, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Sat, 22 Dec 2012 20:36:06 +1100
On Sat, Dec 22, 2012 at 12:18 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Mon, 2012-12-17 at 12:41 +1100, Jayen Ashar wrote:
>> On Mon, Dec 17, 2012 at 12:07 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
>> > On Mon, 2012-12-17 at 11:14 +1100, Jayen Ashar wrote:
>> >> Hi kernel team,
>> >>
>> >> I intend to package the stable versions of compat-wireless and
>> >> compat-drivers (when available) as module-assistant packages, starting
>> >> with compat-wireless 3.5.4.  The reason I am using module-assistant
>> >> (instead of dkms) is so that embedded users of debian can compile &
>> >> distribute kernel module packages without needing a compiler on the
>> >> embedded device.
>> >
>> > This is not a reason to avoid DKMS, as you can use 'dkms mkdeb' to build
>> > a package for installation elsewhere.
>>
>> didn't know about mkdeb.  will start looking at dkms (at least for our
>> internal use).  thanks.
>>
>> >> I am starting with 3.5.4 because I have already
>> >> packaged it for my company and have tested it internally with the
>> >> squeeze kernel.
>> >
>> > Since wheezy is now frozen, this cannot be added to wheezy and therefore
>> > cannot be added to squeeze-backports either.  So this will not be a very
>> > effective way to help other squeeze users.
>>
>> Could it be added to wheezy-backports?
>
> Yes, once it's in testing for jessie.
>
>> > The official kernel package (linux-2.6/linux source package) does get
>> > stable updates to extend hardware support, but not as many as I would
>> > like.  I would really like to see compat-drivers integrated into the
>> > linux source package so users don't need to look for extra package or a
>> > special installer.  But we will need to ensure that there is adequate
>> > regression testing whenever we update compat-drivers in stable.
>> >
>> > Would you be interesting in working on this?  It would help many more
>> > users than a separate package.
>>
>> Are you asking for work on adding it to linux-source, or doing some
>> testing?  I'm not sure I could provide adequate testing on any version
>> other than the one's my company is running.
>
> I'm requesting that you work on adding it to the linux source package
> and do what testing you can.  In any case we'll have to ask users for
> beta testing.
>
> Before you do that work, though, it would need to be agreed among the
> kernel and release teams that we should update drivers in this way.  But
> I hope that's not too controversial.

Do you think there is value in having many versions available?
(Ubuntu seems to have this.)  I was planning to separately package
3.3, 3.4, 3.5, and 3.6, so users could have the version they wanted.
(I was planning on earlier versions as well, but if there's no hope of
getting into squeeze-backports, I see little purpose.)

--Jayen

> Ben.
>
> --
> Ben Hutchings
> Make three consecutive correct guesses and you will be considered an expert.



--

Marathon Targets Pty Ltd
Sydney, Australia
http://www.marathon-targets.com/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>:
Bug#696038; Package wnpp. (Tue, 25 Dec 2012 22:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>. (Tue, 25 Dec 2012 22:27:08 GMT) Full text and rfc822 format available.

Message #40 received at 696038@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jayen Ashar <j.ashar@marathon-targets.com>
Cc: 696038 <696038@bugs.debian.org>, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Tue, 25 Dec 2012 22:25:16 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2012-12-22 at 20:36 +1100, Jayen Ashar wrote:
> On Sat, Dec 22, 2012 at 12:18 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Mon, 2012-12-17 at 12:41 +1100, Jayen Ashar wrote:
> >> On Mon, Dec 17, 2012 at 12:07 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> >> > On Mon, 2012-12-17 at 11:14 +1100, Jayen Ashar wrote:
> >> >> Hi kernel team,
> >> >>
> >> >> I intend to package the stable versions of compat-wireless and
> >> >> compat-drivers (when available) as module-assistant packages, starting
> >> >> with compat-wireless 3.5.4.  The reason I am using module-assistant
> >> >> (instead of dkms) is so that embedded users of debian can compile &
> >> >> distribute kernel module packages without needing a compiler on the
> >> >> embedded device.
> >> >
> >> > This is not a reason to avoid DKMS, as you can use 'dkms mkdeb' to build
> >> > a package for installation elsewhere.
> >>
> >> didn't know about mkdeb.  will start looking at dkms (at least for our
> >> internal use).  thanks.
> >>
> >> >> I am starting with 3.5.4 because I have already
> >> >> packaged it for my company and have tested it internally with the
> >> >> squeeze kernel.
> >> >
> >> > Since wheezy is now frozen, this cannot be added to wheezy and therefore
> >> > cannot be added to squeeze-backports either.  So this will not be a very
> >> > effective way to help other squeeze users.
> >>
> >> Could it be added to wheezy-backports?
> >
> > Yes, once it's in testing for jessie.
> >
> >> > The official kernel package (linux-2.6/linux source package) does get
> >> > stable updates to extend hardware support, but not as many as I would
> >> > like.  I would really like to see compat-drivers integrated into the
> >> > linux source package so users don't need to look for extra package or a
> >> > special installer.  But we will need to ensure that there is adequate
> >> > regression testing whenever we update compat-drivers in stable.
> >> >
> >> > Would you be interesting in working on this?  It would help many more
> >> > users than a separate package.
> >>
> >> Are you asking for work on adding it to linux-source, or doing some
> >> testing?  I'm not sure I could provide adequate testing on any version
> >> other than the one's my company is running.
> >
> > I'm requesting that you work on adding it to the linux source package
> > and do what testing you can.  In any case we'll have to ask users for
> > beta testing.
> >
> > Before you do that work, though, it would need to be agreed among the
> > kernel and release teams that we should update drivers in this way.  But
> > I hope that's not too controversial.
> 
> Do you think there is value in having many versions available?
> (Ubuntu seems to have this.)  I was planning to separately package
> 3.3, 3.4, 3.5, and 3.6, so users could have the version they wanted.

Users will want the version that works, which they likely won't know in
advance.  We should take responsibility for picking a good version and
any necessary bug fixes on top of it.

Ben.

> (I was planning on earlier versions as well, but if there's no hope of
> getting into squeeze-backports, I see little purpose.)

-- 
Ben Hutchings
Every program is either trivial or else contains at least one bug
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>:
Bug#696038; Package wnpp. (Wed, 14 Aug 2013 23:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jayen Ashar <j.ashar@marathon-targets.com>. (Wed, 14 Aug 2013 23:06:04 GMT) Full text and rfc822 format available.

Message #45 received at 696038@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jayen Ashar <j.ashar@marathon-targets.com>
Cc: 696038 <696038@bugs.debian.org>, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Thu, 15 Aug 2013 01:01:47 +0200
[Message part 1 (text/plain, inline)]
So we had a meeting at DebConf about improving hardware support in
stable, and seemed to come to a consensus that compat-drivers (formerly
compat-wireless) could be added to stable.  See
<https://lists.debian.org/debian-x/2013/08/msg00119.html>.  (I forgot
about this ITP bug, otherwise I would have cc'd it on that message.)

compat-drivers would have to build binary debs for all kernel flavours
and udebs for installer images.  This can be done with the help of the
linux-support-3.2.0-4 and kernel-wedge packages.

What is the status of your packaging work?  What do you think of this
plan, and can I work with you on it?

Ben.

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696038; Package wnpp. (Wed, 14 Aug 2013 23:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jayen Ashar <j.ashar@marathon-targets.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 14 Aug 2013 23:39:04 GMT) Full text and rfc822 format available.

Message #50 received at 696038@bugs.debian.org (full text, mbox):

From: Jayen Ashar <j.ashar@marathon-targets.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 696038 <696038@bugs.debian.org>, Debian kernel maintainers <debian-kernel@lists.debian.org>
Subject: Re: Bug#696038: ITP: compat-wireless-3.5.4 -- backported linux wireless drivers
Date: Thu, 15 Aug 2013 09:34:16 +1000
What I have now is a set of instructions for building packages with
modass[1] which I've used for compat-wireless and peak's canbus
driver.  I would like to (at some point) learn to use dkms, especially
if it'll make my job easier.  I also welcome someone [a mentor] to
work with on this as my packaging skills are pretty hacky.

--Jayen

[1] I've been meaning to file a bug report to improve the HOWTO.Devel
but haven't gotten around to it.


On Thu, Aug 15, 2013 at 9:01 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
>
> So we had a meeting at DebConf about improving hardware support in
> stable, and seemed to come to a consensus that compat-drivers (formerly
> compat-wireless) could be added to stable.  See
> <https://lists.debian.org/debian-x/2013/08/msg00119.html>.  (I forgot
> about this ITP bug, otherwise I would have cc'd it on that message.)
>
> compat-drivers would have to build binary debs for all kernel flavours
> and udebs for installer images.  This can be done with the help of the
> linux-support-3.2.0-4 and kernel-wedge packages.
>
> What is the status of your packaging work?  What do you think of this
> plan, and can I work with you on it?
>
> Ben.
>
> --
> Ben Hutchings
> Man invented language to satisfy his deep need to complain. - Lily Tomlin




-- 
Marathon Targets Pty Ltd
Marathon, like the run from Marathon to Athens
Targets, like the things at which one shoots for practice
Sydney, Australia
http://www.marathon-targets.com/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:46:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.